/* 
 * E-XML Library:  For XML, XML-RPC, HTTP, and related.
 * Copyright (C) 2002-2008  Elias Ross
 * 
 * genman@noderunner.net
 * http://noderunner.net/~genman
 * 
 * 1025 NE 73RD ST
 * SEATTLE WA 98115
 * USA
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * $Id$
 */

package net.noderunner.http.servlet;

import java.net.ServerSocket;


import net.noderunner.http.servlet.ServletServer;

/**
 * Example server.
 * 
 * @author Elias Ross
 */
public class HelloWorldServer {
	
    public HelloWorldServer(int port) throws Exception {
    	ServerSocket sock = new ServerSocket(port);
    	ServletServer ss = new ServletServer(new HelloServlet(), sock);
    	ss.start();
    	synchronized (this) {
    		this.wait();
    	}
    	ss.close();
    }

	public static void main(String s[]) throws Exception {
		new HelloWorldServer(9090);
	}
}
